Bug 70291 - I18N - resize issues in sun-ejb-jar.xml editor
I18N - resize issues in sun-ejb-jar.xml editor
Status: NEW
Product: serverplugins
Classification: Unclassified
Component: Sun Appserver 8
6.x
Sun All
: P4 (vote)
: TBD
Assigned To: Vince Kraemer
issues@serverplugins
config
: I18N, UI
: 75347 (view as bug list)
Depends on: 155061
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-12 18:40 UTC by Ken Frank
Modified: 2009-09-17 20:25 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
image (19.69 KB, image/gif)
2005-12-12 18:51 UTC, Ken Frank
Details
image (27.52 KB, image/gif)
2005-12-12 18:52 UTC, Ken Frank
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Frank 2005-12-12 18:40:36 UTC
running at fs 16, in sun-ejb-jar.xml editor - various resize issues
where window parts do not dynamcially resize can mean loss of data -
can happen both horizontally and vertically where some message/label/textfield
or dropdown shows partially or not at all - not just i18n issue can happen
even in en locale 

in this case, choose ior security config tab and see before and after resize
gifs attached for areas shown partially or not at all - there could be others
in areas for other tabs or ther parts of this editor or other xml editors
of ejb/j2ee, but think fix of one like this would fix all situations.
Comment 1 Ken Frank 2005-12-12 18:51:24 UTC
Created attachment 27763 [details]
image
Comment 2 Ken Frank 2005-12-12 18:52:07 UTC
Created attachment 27764 [details]
image
Comment 3 _ pcw 2005-12-13 01:48:39 UTC
There is no data loss.  Simply loss of visibility of certain controls, and most
likely, the UI will be sufficiently compressed and mangled that it will be clear
to the user that the controls are munged.

This problem existed as described in 4.1.

We're in hard code freeze, not to mention way past UI freeze.

The only way to I could reproduce this was to have fontSize @ 16 AND netbeans
window sized at 1024x768 or smaller (1024x768 is admittedly a common laptop
resolution).  But double clicking on the editor tab to "maximize" the
configuration editor renders the panel an acceptable size for viewing all
controls on all ejb-related tabs I checked.  Webapps and ears are ok as well. 
This seems to me to be an acceptable work-around give the current time constraints.

Recommend defer to promo-G.
Comment 4 _ pcw 2005-12-13 05:42:09 UTC
Lowering to P3.  If someone disagrees, please feel free to raise back to P2 with
justification.
Comment 5 _ pcw 2006-06-01 06:52:30 UTC
*** Issue 75347 has been marked as a duplicate of this issue. ***
Comment 6 Vince Kraemer 2007-05-15 18:03:02 UTC
this will probabu get addressed by the rewrite...

changing tm
Comment 7 _ pcw 2007-07-20 21:19:23 UTC
Fixed by virtue of new editor design.
Comment 8 _ pcw 2007-07-20 21:20:05 UTC
Marking fixed.
Comment 9 kaa 2007-08-08 17:08:03 UTC
1. Create EJB Module
2. Open sun-ejb-jar.xml
3. Maximize the ide and close all windows except the editor

I'm running at fontsize 16. Dropdown with destinations is not visible.
There is no possibility for horizontal resize.

Assumption is that user does not need to manually resize most windows or dialogs to see all of the ui objects and
information in them. I'am running in pseudo localized locale in which each message/label is a bit longer than english to
account for that in some locales, translations result in longer strings than in english. Also am running at fontsize 16,
which is viewed as a valid font size that might be used. Resizing issues are not just related to i18n; they might show
to user in english locale if they run at larger fontsize.
Comment 10 _ pcw 2007-08-17 19:36:56 UTC
Yes, the top level tabs in xml/multiview are unscrollable :(

Wrt/ sun-web.xml which also has this problem, I removed the separate "Clients" tab and put the service-refs under the
Web Services tab.  This change also affects the editor for sun-application-client.xml though it does not have width
problems due to fewer tabs.
Comment 11 Vince Kraemer 2007-09-12 19:07:51 UTC
these bugs did not make it into beta1. please re-evaluate the Target milestone
settings.
Comment 12 _ pcw 2007-09-21 00:28:45 UTC
I don't know if there is anything more I can easily do here.  I will see if I can merge some of tabs, but it is unlikely
for 6.0 at this stage.
Comment 13 Vince Kraemer 2008-10-17 23:46:22 UTC
any idea how to resolve this?

Please be ready to discuss this issue on 2008/10/22
Comment 14 _ pcw 2008-12-09 17:43:31 UTC
Alternatives: 

1. Redesign the layout to reduce the number of tabs (may impact other editors if we want to keep things consistent).
2. Enhance multiview platform to allow the option of wrapping the tab row, or showing a scrollbar.
3. Do nothing considering this only impacts larger point sizes, and only then, on smaller laptop screens.

Not sure if there is a fourth option.  We don't have the resources to consider #1 IMO.  #2 is interesting.  Might be a
useful feature and without investigation, I'm not sure how time consuming it is.  Might not be too bad (as in, a few
days to a week).  I don't know about #3.

Comment 15 Vince Kraemer 2008-12-09 18:38:01 UTC
this has too be marked as Next to be considered evaluated.  I also opened issue 155061 to document the problems with
tabs in xml multiview editors.
Comment 16 tomwheeler 2009-07-30 22:23:19 UTC
Oops -- changed version in the wrong field.
Comment 17 Vince Kraemer 2009-09-16 23:58:51 UTC
pickup half of pcw's issues
Comment 18 Vince Kraemer 2009-09-17 20:25:21 UTC
the solution for this bug depends on resolving issue 155061.  Once that is resolved, we can raise the priority of this
back to p3...


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo